import mysql.simplesql as sql

tables = ['dept']


def insertDept(dept):
    yield sql.Insert(table='dept', values={
        'code': dept.get('code', 0),
        'name': dept.get('name', None),
        'idclient': dept.get('idclient', None),
        'documentPrefix': dept.get('documentprefix', None),
        'merchantid': dept.get('merchantid', None),
    })


def deleteDept(dept):
    yield sql.Delete(table='dept', whereFields=['code'], whereValues=[dept.get('code', 0)])


def clearDept():
    yield sql.DeleteAll(table='dept')


def deleteDeptByCode(code):
    yield sql.Delete(table='dept', whereFields=['code'], whereValues=[code])
