import mysql.simplesql as sql

tables = ['remaintmc']


def insertRemainTmc(remaintmc):
    yield sql.Insert(table='remaintmc', values={
        'identifier': remaintmc.get('identifier'),
        'shopcode': remaintmc.get('shopcode'),
        'barcode': remaintmc.get('barcode'),
        'cquant': remaintmc.get('cquant'),
        'changetype': remaintmc.get('changetype'),
        'effectivedate': remaintmc.get('effectivedate'),
    })


def deleteRemainTmc(remaintmc):
    yield sql.Delete(table='remaintmc',
            whereFields=['identifier', 'shopcode','barcode'],
            whereValues=[remaintmc.get('identifier'), remaintmc.get('shopcode'), remaintmc.get('barcode')])


def clearRemainTmc():
    yield sql.DeleteAll(table='remaintmc')
