# -*- coding: UTF-8 -*-

from enum import Enum
import mysql.simplesql as sql

class ETrType(Enum):
    tcode = 0          # код товара
    tbarcode = 1       # штрих-код товара
    tCatalogId = 2     # Код каталога
    tPickListCode = 3  # Код элемента пиклиста

def insertTr(tr):
    yield sql.Insert(table='tr', values={
        "id": tr.get('id'),
        "idtype": tr.get('idtype'),
        "lang": tr.get('lang'),
        "translation": tr.get('translation'),
    })

def clearTr():
    yield sql.DeleteAll(table='tr')

def deleteTr(object):
    id = object.get('id', None)
    idtype = object.get('idtype', None)
    lang = object.get('lang', None)
    yield sql.Delete(table='tr', whereFields=['id', 'idtype', 'lang'], whereValues=[id, idtype, lang])
